////////////////////////////////////////////////////////////////////////////////////////
//......................................................................................
//  This is a part of AI Library [Arthur's Interfaces Library].                        .
//  Copyright  1989-2001 Arthur Amshukov                                              .
//......................................................................................
//  THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND         .
//  DO NOT REMOVE MY NAME AND THIS NOTICE FROM THE SOURCE                              .
//......................................................................................
////////////////////////////////////////////////////////////////////////////////////////
#ifndef __RECT_INC__
#define __RECT_INC__

#pragma once

#ifndef __AIL_H__
#   include <ail.hpp>
#endif

#ifdef __MS_WINDOWS__
#   ifndef __FUNCTOR_INC__
#       include <Functor.inc>
#   endif
#endif

#ifdef __PALM_OS__
#   ifndef __PALM_OS_INC__
#       include <PalmOS.inc>
#   endif
#endif

#ifndef __SIZE_INC__
#   include <Size.inc>
#endif

#ifndef __POINT_INC__
#   include <Point.inc>
#endif

#ifndef __AIL_RECT_H__
#   include <Rect.hpp>
#endif

#ifndef __AIL_RECT_INL__
#   include <Rect.inl>
#endif

#endif // __RECT_INC__
////////////////////////////////////////////////////////////////////////////////////////
