////////////////////////////////////////////////////////////////////////////////////////
//......................................................................................
//  This is a part of AI Library [Arthur's Interfaces Library].                        .
//  Copyright  1989-2001 Arthur Amshukov                                              .
//......................................................................................
//  THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND         .
//  DO NOT REMOVE MY NAME AND THIS NOTICE FROM THE SOURCE                              .
//......................................................................................
////////////////////////////////////////////////////////////////////////////////////////
#ifndef __PALM_MATHLIB_INC__
#define __PALM_MATHLIB_INC__

#pragma once

#ifndef __AIL_H__
#   include <ail.hpp>
#endif

#ifndef __PALM_OS_INC__
#   include <PalmOS.inc>
#endif

#ifndef __PALM_ERROR_INC__
#   include <PalmError.inc>
#endif

#ifdef __PALM_OS__
#   ifndef __MATHLIB_H__
#       include <mathlib\src\mathlib.h>
#   endif
#endif

#ifndef __PALM_MODULE_INC__
#   include <PalmModule.inc>
#endif

#ifndef __PALM_MATHLIB_H__
#   include <PalmMathlib.hpp>
#endif

#ifndef __PALM_MATHLIB_INL__
#   include <PalmMathlib.inl>
#endif

#endif // __PALM_MATHLIB_INC__
////////////////////////////////////////////////////////////////////////////////////////
